memory.hpp File Reference

## Classes

struct | ranges::indirectly_readable_traits< iterator_wrapper< I > >
struct | ranges::iterator_wrapper< I >
struct | ranges::raw_buffer< Val >
struct | ranges::raw_storage_iterator< O, Val >

## Functions

template<typename I >
CPP_TEMPLATE_AUX_0 | ranges::i (requires input_or_output_iterator< I >) iiiterator_wrapper< I > iter_ref(I &i)
template<typename Val >
raw_buffer< Val > | ranges::make_raw_buffer (Val *val)